Read
curl --request PUT \
--url https://api.capy.ai/api/v1/threads/{threadId}/read \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"eventId": "<string>"
}
'import requests
url = "https://api.capy.ai/api/v1/threads/{threadId}/read"
payload = { "eventId": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({eventId: '<string>'})
};
fetch('https://api.capy.ai/api/v1/threads/{threadId}/read', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"projectId": "<string>",
"authorId": "<string>",
"previousAuthorId": "<string>",
"title": "<string>",
"titleCustom": true,
"status": "working",
"archived": true,
"lastModelId": "<string>",
"usage": {
"llmCredits": 123,
"imageCredits": 123,
"vmCredits": 123,
"totalCredits": 123
},
"createdAt": "<string>",
"updatedAt": "<string>",
"lastActivityAt": "<string>",
"hasUnreads": true,
"mentionCount": 123,
"owed": true,
"member": true,
"needsYou": true,
"crewNeedsYou": 123,
"participated": true,
"crewMentionCount": 123,
"captain": {
"jamId": "<string>",
"name": "<string>",
"avatar": {
"kind": "preset",
"value": "<string>",
"background": "<string>"
}
},
"crewCount": 123
}{
"_tag": "capy/Unauthorized"
}{
"_tag": "capy/ThreadNotFound",
"threadId": "<string>"
}{
"_tag": "capy/RateLimited",
"retryAfterSeconds": 123
}threads
Read
PUT
/
api
/
v1
/
threads
/
{threadId}
/
read
Read
Authorizations
An API key created in Capy under Settings → API.
Path Parameters
Body
application/json
Required string length:
26Response
Thread
Available options:
working, waiting, idle, failed, archived Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I